package com.iqser.red.service.persistence.management.v1.processor.dataexchange.models.manualchanges;

import java.util.ArrayList;
import java.util.List;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.FieldDefaults;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class ManualChangesExportModel {

    @Builder.Default
    List<ManualAddExportModel> manualAddExportModels = new ArrayList<>();
    @Builder.Default
    List<ManualRecategorizationExportModel> manualRecategorizationExportModels = new ArrayList<>();
    @Builder.Default
    List<ManualResizeExportModel> manualResizeExportModels = new ArrayList<>();
    @Builder.Default
    List<ManualForceExportModel> manualForceExportModels = new ArrayList<>();
    @Builder.Default
    List<ManualLegalBasisChangeExportModel> manualLegalBasisChangeExportModels = new ArrayList<>();
    @Builder.Default
    List<ManualRemoveExportModel> manualRemoveExportModels = new ArrayList<>();

}
